<?php

if(!isset($_GET['order_id']) or !isset($_GET['paymentStatus'])){
    die("bad request");
}

error_reporting(E_ALL & ~E_NOTICE & ~E_WARNING & ~E_DEPRECATED);
date_default_timezone_set('Asia/Tehran');
require_once "../../vendor/autoload.php";
$dotenv = Dotenv\Dotenv::createImmutable(__DIR__.'/../../');
$dotenv->load();
//---------------------------
$status = $_GET['paymentStatus'];
$order_id = $_GET['order_id'];
$database = db_connect();

$getOrder = $database->get("payments_tbl", ['amount'], ['order_id' => $order_id]);
if($getOrder){
    $date = myJdate();
    $param = [
        'time' => $date,
        'order_id' => $order_id,
        'amount' => $getOrder['amount'],
        'bot_url' => 'https://t.me/' . $_ENV['BOT_USERNAME'],
    ];
    if($status == 'SUCCESS' or $status == 'ACCEPTABLE') {
        $param['description'] = "پرداخت موفق بوده و مبلغ بزودی به حساب شما واریز خواهد شد";
        redirect('https://' . $_ENV['DOMAIN'] . '/' . $_ENV['DIRECTORY'] . '/payments/result/success.php?' . http_build_query($param));
    } else {
        $stat = match($status) {
            'MISMATCH' => "پرداخت نیاز به بررسی دارد - به پشتیبانی پیام دهید",
            'EXPIRED' => "پرداخت منقضی شده است",
        };
        $param['description'] = $stat;
        redirect('https://' . $_ENV['DOMAIN'] . '/' . $_ENV['DIRECTORY'] . '/payments/result/unsuccessful.php?' . http_build_query($param));
    }
} else {
    die("bad request 2");
}

